VULKAN_HPP_NAMESPACE::DeviceMemory Class Reference

`#include <vulkan.hpp>`

## Public Member Functions

VULKAN_HPP_CONSTEXPR | DeviceMemory ()
VULKAN_HPP_CONSTEXPR | DeviceMemory (std::nullptr_t)
VULKAN_HPP_TYPESAFE_EXPLICIT | DeviceMemory (VkDeviceMemory deviceMemory)
DeviceMemory & | operator= (std::nullptr_t)
bool | operator== (DeviceMemory const &rhs) const
bool | operator!= (DeviceMemory const &rhs) const
bool | operator< (DeviceMemory const &rhs) const
VULKAN_HPP_TYPESAFE_EXPLICIT | operator VkDeviceMemory () const
| operator bool () const
bool | operator! () const

## Private Attributes

VkDeviceMemory | m_deviceMemory

## Detailed Description

Definition at line 2944 of file vulkan.hpp.

## Constructor & Destructor Documentation

## DeviceMemory() [1/3]

VULKAN_HPP_CONSTEXPR VULKAN_HPP_NAMESPACE::DeviceMemory::DeviceMemory | ( |  | ) |

inline

Definition at line 2947 of file vulkan.hpp.

: m_deviceMemory(VK_NULL_HANDLE)
{}

## DeviceMemory() [2/3]

VULKAN_HPP_CONSTEXPR VULKAN_HPP_NAMESPACE::DeviceMemory::DeviceMemory | ( | std::nullptr_t |  | ) |

inline

Definition at line 2951 of file vulkan.hpp.

: m_deviceMemory(VK_NULL_HANDLE)
{}

## DeviceMemory() [3/3]

VULKAN_HPP_TYPESAFE_EXPLICIT VULKAN_HPP_NAMESPACE::DeviceMemory::DeviceMemory | ( | VkDeviceMemory | deviceMemory | ) |

inline

Definition at line 2955 of file vulkan.hpp.

: m_deviceMemory( deviceMemory )
{}

## Member Function Documentation

## operator bool()

VULKAN_HPP_NAMESPACE::DeviceMemory::operator bool | ( |  | ) | const

inline explicit

Definition at line 2995 of file vulkan.hpp.

{
return m_deviceMemory != VK_NULL_HANDLE;
}

References m_deviceMemory, and VK_NULL_HANDLE.

## operator VkDeviceMemory()

VULKAN_HPP_TYPESAFE_EXPLICIT VULKAN_HPP_NAMESPACE::DeviceMemory::operator VkDeviceMemory | ( |  | ) | const

inline

Definition at line 2990 of file vulkan.hpp.

{
return m_deviceMemory;
}

References m_deviceMemory.

## operator!()

bool VULKAN_HPP_NAMESPACE::DeviceMemory::operator! | ( |  | ) | const

inline

Definition at line 3000 of file vulkan.hpp.

{
return m_deviceMemory == VK_NULL_HANDLE;
}

References m_deviceMemory, and VK_NULL_HANDLE.

## operator!=()

bool VULKAN_HPP_NAMESPACE::DeviceMemory::operator!= | ( | DeviceMemory const & | rhs | ) | const

inline

Definition at line 2978 of file vulkan.hpp.

{
return m_deviceMemory != rhs.m_deviceMemory;
}

References m_deviceMemory.

## operator<()

bool VULKAN_HPP_NAMESPACE::DeviceMemory::operator< | ( | DeviceMemory const & | rhs | ) | const

inline

Definition at line 2983 of file vulkan.hpp.

{
return m_deviceMemory < rhs.m_deviceMemory;
}

References m_deviceMemory.

## operator=()

DeviceMemory& VULKAN_HPP_NAMESPACE::DeviceMemory::operator= | ( | std::nullptr_t |  | ) |

inline

Definition at line 2967 of file vulkan.hpp.

{
m_deviceMemory = VK_NULL_HANDLE;
return *this;
}

References m_deviceMemory, and VK_NULL_HANDLE.

## operator==()

bool VULKAN_HPP_NAMESPACE::DeviceMemory::operator== | ( | DeviceMemory const & | rhs | ) | const

inline

Definition at line 2973 of file vulkan.hpp.

{
return m_deviceMemory == rhs.m_deviceMemory;
}

References m_deviceMemory.

## Field Documentation

## m_deviceMemory

VkDeviceMemory VULKAN_HPP_NAMESPACE::DeviceMemory::m_deviceMemory

private

Definition at line 3006 of file vulkan.hpp.

Referenced by operator bool(), operator VkDeviceMemory(), operator!(), operator!=(), operator<(), operator=(), and operator==().

The documentation for this class was generated from the following file:

- src/video/khronos/vulkan/vulkan.hpp

VULKAN_HPP_NAMESPACE::DeviceMemory::m_deviceMemory
VkDeviceMemory m_deviceMemory
Definition: vulkan.hpp:3006
VK_NULL_HANDLE
#define VK_NULL_HANDLE
Definition: vulkan_core.h:49